/*
 * Soubor:  crcal.h
 * Datum:   28.03.2011 09:41
 * Autor:   Marek Nožka, nozka <@t> spseol <d.t> cz
 * Licence: GNU/GPL 
 * Úloha: 
 * Popis:   hlavičkový soubor pro crcal.c
 */

#ifndef __CRCAL_H__
#define __CRCAL_H__

/*********************************** 
 *  Globální proměnné a datové struktury
 ***********************************/
typedef complex double (*operation)(complex double, complex double);

/*********************************** 
 *  Úplné prototypy funkcí 
 ***********************************/

/* @BEGIN@ automatically generated text from %.c (not edit this) */
int readEnter(char enter[]);
void printStack();
void printHelp(void);
int push(double complex number);
complex double pop();
void stackclear(void);
void stackAprnt(char s[]);
void stackEprnt(char s[]);
double deg2rad(double deg);
double rad2rad(double rad);
double rad2deg(double deg);
double complex makePlus(double complex x, double complex y);
double complex makeMinus(double complex x, double complex y);
double complex makeTimes(double complex x, double complex y);
double complex makeDivid(double complex x, double complex y);
bool makeOper(operation function);
void makeWrap(operation function, char operationName);
void setrad(void);
void setdeg(void);
/* @END@ automatically generated text from %.c (not edit this) */


#endif
